> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Mix Audio

> Mix multiple audio tracks together

<RequestExample>
  ```json Example Request theme={null}
  {
    "inputs": ["https://example.com/voice.mp3",
      "https://example.com/music.mp3"],
    "volumes": [1.0, 0.3]
  }
  ```
</RequestExample>

| Param   | Type      | Description                                           |
| ------- | --------- | ----------------------------------------------------- |
| volumes | number\[] | Volume level for each input track (e.g., \[1.0, 0.3]) |


## OpenAPI

````yaml POST /v1/audio/mix
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/audio/mix:
    post:
      tags:
        - Audio
      summary: Mix Audio
      description: Mix multiple audio tracks together
      operationId: audioMix
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - inputs
              properties:
                inputs:
                  type: array
                  items:
                    type: string
                  description: Array of input file URLs
                volumes:
                  type: array
                  items:
                    type: number
                  description: Volume level for each input track (e.g., [1.0, 0.3])
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````